; Move cursor test
; (C) 2002-2005, Andreas Berg. All Rights Reserved.

.com                                   ; COM file
.model tiny                            ; Tiny model
.code                                  ; Use code segment
.org 100h                              ; Set ORG

push cs                                ; CS -> stack
pop  ds                                ; DS <- stack

mov  ah,0fh                            ; AH = 0fh (get page info)
int  10h                               ; INT 10h
mov  [pageNum],bh                      ; pageNum = BH

mov  ah,02h                            ; AH = 02h (set cursor)
mov  dl,5                              ; DL = 5 (column)
mov  dh,10                             ; DH = 10 (row)
mov  bh,[pageNum]                      ; BH = pageNum
int  10h                               ; INT 10h

mov  ah,0eh                            ; AH = 0eh (print character)
mov  al,'A'                            ; AL = 'A'
mov  bh,[pageNum]                      ; BH = pageNum
int  10h                               ; INT 10h

xor  ax,ax                             ; AX = 0 (wait for key)
int  16h                               ; INT 16h

int  20h                               ; Terminate COM program

pageNum   db   ?                       ; Page Number

end